package client.ui;

import client.ChatInfrastructure;
import client.ClientUser;

public class ChatGUIProgramInstance {
	private ChatGUIController guiController;
	private ChatGUIPanel GUIPanel;

	private ChatInfrastructure infrastructure;

	public ChatGUIProgramInstance() {
		super();
		guiController = new ChatGUIController();
		GUIPanel = new ChatGUIPanel(guiController);

		infrastructure = new ChatInfrastructure();
		guiController.setGui(GUIPanel);
		guiController.setInfrastructure(infrastructure);
		infrastructure.setCallbackHandler(guiController);
	}

	public ChatGUIProgramInstance(String server, ClientUser user) {
		this();
		this.infrastructure.setServer(server);
		this.infrastructure.setUser(user);
	}

	public ChatGUIProgramInstance(String server, String userName,
			String screenName) {
		this(server, new ClientUser(userName, screenName));
		this.infrastructure.autoConnect();
	}
}
