package client.ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.AbstractButton;
import javax.swing.JCheckBox;

import client.ClientUser;

public class ClientUserVisualRepresentation extends JCheckBox {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private ClientUser userReference = null;

	public ClientUserVisualRepresentation(ClientUser userReference) {
		super();
		this.userReference = userReference;
		this.setSelected(userReference.isIgnored());
		initializeMe();
	}

	private void initializeMe() {
		this.setText(userReference.getUserScreenName());
		
		ActionListener myListener = new ActionListener() {
			public void actionPerformed(ActionEvent actionEvent) {
				AbstractButton abstractButton = (AbstractButton) actionEvent
						.getSource();
				boolean selected = abstractButton.getModel().isSelected();
				if (selected == true) {
					userReference.setIgnored(true);
				} else {
					userReference.setIgnored(false);
				}
			}
		};
		this.addActionListener(myListener);
	}

	public ClientUser getUserReference() {
		return userReference;
	}

	public void setUserReference(ClientUser userReference) {
		this.userReference = userReference;
	}

}
