package server;
/* This file is Copyright by Walter W. Schilling, Jr. in the year 2004.
 * All rights of usage are limited. */

/**
 * @author Walter Schilling
 * $Author: wws $
 * $Revision: 1.4 $
 * $Date: 2004/04/27 22:20:49 $
 * $Header: /cvs/java_lab6/ChatServerClientInterface.java,v 1.4 2004/04/27 22:20:49 wws Exp $
 * $Name:  $
 * This file represents the interface which will be used by the Java Chat 
 * client to talk to the Java Chat server.  It may be remotely over RMI or 
 * through anoher method.
 * 
 * $Log: ChatServerClientInterface.java,v $
 * Revision 1.4  2004/04/27 22:20:49  wws
 * Added support to shutdown the remote server when the last user disconnects from the server.
 * Performed minor refactoring of code.
 *
 * Revision 1.3  2004/04/20 22:18:26  wws
 * Implemented RMI methodology for accessing chat server.
 *
 * Revision 1.2  2004/04/18 13:35:08  wws
 * Changed interface so it naturally deals with rmi exceptions.
 *
 * Revision 1.1  2004/04/16 21:30:04  wws
 * Initial implementation of server and server interface.  Server currently runs locally as of right now.
 *
 *
 */

import java.util.*;

import common.ChatTextualEntry;
import common.ChatMessageList;
import common.ChatUserInterface;
import common.DuplicateUserException;

public interface ChatServerClientInterface extends java.rmi.Remote {
	public ChatMessageList login_user(ChatUserInterface p_username) throws java.rmi.RemoteException, DuplicateUserException;
	public ChatMessageList logoff_user(ChatUserInterface p_username) throws java.rmi.RemoteException;
	public ChatMessageList obtain_new_text_strings(Date p_previous_timestamp) throws java.rmi.RemoteException;
	public void send_chat_text(ChatTextualEntry p_entry) throws java.rmi.RemoteException;
	public void shutdown_server() throws java.rmi.RemoteException;
	public int getUserCount() throws java.rmi.RemoteException;
	public Collection<ChatUserInterface> getUserList() throws java.rmi.RemoteException;
	public void checkinWithServer(ChatUserInterface user) throws java.rmi.RemoteException;
}
