package server;

import common.ChatUserInterface;

public class ServerUser implements ChatUserInterface {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int userID = 0;
	private String userName = "";
	private String userScreenName = "";
	
	private static int userIDCount = 0;
	private int heartbeatCheck = 0;

	public ServerUser(ChatUserInterface user)
	{
		super();
		this.userID = userIDCount +1;
		userIDCount++;
		this.userName = user.getUserName();
		this.userScreenName = user.getUserScreenName();
	}
	
	public ServerUser(int userID, String userName, String userScreenName) {
		super();
		this.userID = userID;
		this.userName = userName;
		this.userScreenName = userScreenName;
	}

	public int getUserID() {
		return userID;
	}

	@Override
	public String getUserName() {
		return this.userName;
	}

	@Override
	public String getUserScreenName() {
		return this.userScreenName;
	}

	public int getHeartbeatCheck() {
		return heartbeatCheck;
	}

	public void setHeartbeatCheck(int heartbeatCheck) {
		this.heartbeatCheck = heartbeatCheck;
	}

	
}
